com.sun.jna.platform.mac

## Class SystemB.ProcBsdInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.ProcBsdInfo

Enclosing interface:
  SystemB

    @Structure.FieldOrder(value={"pbi_flags","pbi_status","pbi_xstatus","pbi_pid","pbi_ppid","pbi_uid","pbi_gid","pbi_ruid","pbi_rgid","pbi_svuid","pbi_svgid","rfu_1","pbi_comm","pbi_name","pbi_nfiles","pbi_pgid","pbi_pjobc","e_tdev","e_tpgid","pbi_nice","pbi_start_tvsec","pbi_start_tvusec"})
    public static class SystemB.ProcBsdInfo
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `e_tdev`
`int` `e_tpgid`
`byte[]` `pbi_comm`
`int` `pbi_flags`
`int` `pbi_gid`
`byte[]` `pbi_name`
`int` `pbi_nfiles`
`int` `pbi_nice`
`int` `pbi_pgid`
`int` `pbi_pid`
`int` `pbi_pjobc`
`int` `pbi_ppid`
`int` `pbi_rgid`
`int` `pbi_ruid`
`long` `pbi_start_tvsec`
`long` `pbi_start_tvusec`
`int` `pbi_status`
`int` `pbi_svgid`
`int` `pbi_svuid`
`int` `pbi_uid`
`int` `pbi_xstatus`
`int` `rfu_1`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ProcBsdInfo()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pbi_flags

    public int pbi_flags

#### pbi_status

    public int pbi_status

#### pbi_xstatus

    public int pbi_xstatus

#### pbi_pid

    public int pbi_pid

#### pbi_ppid

    public int pbi_ppid

#### pbi_uid

    public int pbi_uid

#### pbi_gid

    public int pbi_gid

#### pbi_ruid

    public int pbi_ruid

#### pbi_rgid

    public int pbi_rgid

#### pbi_svuid

    public int pbi_svuid

#### pbi_svgid

    public int pbi_svgid

#### rfu_1

    public int rfu_1

#### pbi_comm

    public byte[] pbi_comm

#### pbi_name

    public byte[] pbi_name

#### pbi_nfiles

    public int pbi_nfiles

#### pbi_pgid

    public int pbi_pgid

#### pbi_pjobc

    public int pbi_pjobc

#### e_tdev

    public int e_tdev

#### e_tpgid

    public int e_tpgid

#### pbi_nice

    public int pbi_nice

#### pbi_start_tvsec

    public long pbi_start_tvsec

#### pbi_start_tvusec

    public long pbi_start_tvusec

### Constructor Detail

#### ProcBsdInfo

    public ProcBsdInfo()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.